### Enumeration

# Qmi PdsDataValid

since: 1.0

#### Declaration

    flags Qmi.PdsDataValid

#### Description [src]

Flags to indicate which position data parameters are valid.

Available since: 1.0

#### Members

`QMI_PDS_DATA_VALID_TIMESTAMP_CALENDAR`

  Timestamp calendar (GPS time).

  - Value: `1`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_TIMESTAMP_UTC`

  Timestamp (UTC).

  - Value: `2`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_LEAP_SECONDS`

  Leap seconds.

  - Value: `4`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_TIME_UNCERTAINTY`

  Time uncertainty.

  - Value: `8`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_LATITUDE`

  Latitude.

  - Value: `16`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_LONGITUDE`

  Longitude.

  - Value: `32`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_ELLIPSOID_ALTITUDE`

  Ellipsoid altitude.

  - Value: `64`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_MEAN_SEA_LEVEL_ALTITUDE`

  Mean sea level altitude.

  - Value: `128`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_SPEED`

  Horizontal speed.

  - Value: `256`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_VERTICAL_SPEED`

  Vertical speed.

  - Value: `512`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HEADING`

  Heading.

  - Value: `1024`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_CIRCULAR`

  Horizontal uncertainty circular.

  - Value: `2048`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_SEMI_MAJOR`

  Horizontal uncertainty ellipse semi-major.

  - Value: `4096`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_SEMI_MINOR`

  Horizontal uncertainty ellipse semi-minor.

  - Value: `8192`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_UNCERTAINTY_ELLIPSE_ORIENT_AZIMUTH`

  Horizontal uncertainty ellipse orient azimuth.

  - Value: `16384`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_VERTICAL_UNCERTAINTY`

  Vertical uncertainty.

  - Value: `32768`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_VELOCITY_UNCERTAINTY`

  Horizontal velocity uncertainty.

  - Value: `65536`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_VERTICAL_VELOCITY_UNCERTAINTY`

  Vertical velocity uncertainty.

  - Value: `131072`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_CONFIDENCE`

  Horizontal confidence.

  - Value: `262144`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_POSITION_DOP`

  Position dillution of precision.

  - Value: `524288`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_HORIZONTAL_DOP`

  Horizontal dillution of precision.

  - Value: `1048576`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_VERTICAL_DOP`

  Vertical dillution of precision.

  - Value: `2097152`
  - Available since: 1.0
`QMI_PDS_DATA_VALID_OPERATING_MODE`

  Operating mode.

  - Value: `4194304`
  - Available since: 1.0

#### Type functions

###### qmi_pds_data_valid_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiPdsDataValid` in `mask`.

since: 1.0